package com.huiju.estateagents.bo.request;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * 查询合同列表请求实体
 */
@Data
public class ContractRecordRequestBO {

    /**
     * 页码
     */
    private Integer pageNum = 1;

    /**
     * 分页大小
     */
    private Integer pageSize = 10;

    /**
     * 公司名
     */
    private String companyName;

    /**
     * 公司编码
     */
    private String companyCode;

    /**
     * 组织名
     */
    private String orgName;

    /**
     * 小程序名
     */
    private String miniAppName;

    /**
     * 合同编号
     */
    private Integer contractId;

    /**
     * 合同名
     */
    private String contractName;

    /**
     * 渠道代理商
     */
    private String channelProxyName;

    /**
     * 是否结算
     */
    private Boolean settlement;

    /**
     * 甲方签署开始时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE)
    private LocalDate signatoryStartTime;

    /**
     * 甲方签署结束时间
     */

    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE)
    private LocalDate signatoryEndTime;

    /**
     * 结算开始时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE)
    private LocalDate settlementStartTime;

    /**
     * 结算结束时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE)
    private LocalDate settlementEndTime;
}
